package com.bailuntec.domain.dto;

import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * <p>
 *
 * </p>
 *
 * @author robbendev
 * @since 2020/11/28 3:56 下午
 */
@Data
public class SalesDetailItem {
    private BigDecimal sales;
    private LocalDate date;
    private BigDecimal weekCoefficient;
    private BigDecimal salesDayConfig;

    private String bailunSku;
    private String warehouseCode;

    private BigDecimal showSales;

    public void calcShowSales() {
        this.showSales = sales;
        if (salesDayConfig != null) {
            this.showSales = salesDayConfig;

        }
        if (weekCoefficient != null) {
            this.showSales = showSales.multiply(weekCoefficient);
        }
    }
}
